org.apache.hadoop.mapred.nativetask.util

## Class ReadWriteBuffer

- java.lang.Object
- - org.apache.hadoop.mapred.nativetask.util.ReadWriteBuffer

-     @InterfaceAudience.Private
      public class ReadWriteBuffer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadWriteBuffer()`
    `ReadWriteBuffer(byte[] bytes)`
    `ReadWriteBuffer(int length)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBuff()`
    `int` | `getReadPoint()`
    `int` | `getWritePoint()`
    `byte[]` | `readBytes()`
    `int` | `readInt()`
    `long` | `readLong()`
    `String` | `readString()`
    `void` | `reset(byte[] newBuff)`
    `void` | `setReadPoint(int pos)`
    `void` | `setWritePoint(int pos)`
    `void` | `writeBytes(byte[] b, int off, int len)`
    `void` | `writeInt(int v)`
    `void` | `writeLong(long v)`
    `void` | `writeString(String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadWriteBuffer

          public ReadWriteBuffer(int length)

    - #### ReadWriteBuffer

          public ReadWriteBuffer()

    - #### ReadWriteBuffer

          public ReadWriteBuffer(byte[] bytes)

  - ### Method Detail

    - #### reset

          public void reset(byte[] newBuff)

    - #### setReadPoint

          public void setReadPoint(int pos)

    - #### setWritePoint

          public void setWritePoint(int pos)

    - #### getBuff

          public byte[] getBuff()

    - #### getWritePoint

          public int getWritePoint()

    - #### getReadPoint

          public int getReadPoint()

    - #### writeInt

          public void writeInt(int v)

    - #### writeLong

          public void writeLong(long v)

    - #### writeBytes

          public void writeBytes(byte[] b,
                                 int off,
                                 int len)

    - #### readInt

          public int readInt()

    - #### readLong

          public long readLong()

    - #### readBytes

          public byte[] readBytes()

    - #### writeString

          public void writeString(String str)

    - #### readString

          public String readString()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.